Settlement is the process of actually transferring funds between parties to finalize a transaction This is different from authorization, which just reserves or confirms funds are available. That means funds are not instantly available for each transaction. Merchants may see a delay between a sale and the funds deposited in their account.
The typical lifecycle that includes settlement:
Authorization. An authorized transaction is one that has been approved and funds are held or reserved. No money has moved yet.
For example, the following call starts a transaction with thecaptureMethodofAuto. This automatically adds the transaction in an open settlement batch when the transaction is completed. The call returnstransactionId, which may be used to reference this transaction.Sample Authorization Call
POST /v2/transactions Authorization: Bearer {{apiKey}} Content-Type: application/json { "baseAmount": 150.00, "currencyCode": "USD", "customerInitiatedTransaction": true, "transactionDetails": { "cardData": { "captureMethod": "Auto", "paymentMethodDetails": { "cardNumber": "4111111111111111", "securityCode": "737", "expirationMonth": 9, "expirationYear": 2027 } } } }Capture or batch. Approved transactions are grouped together, or batched, for later processing.
If
captureMethodisAuto, no additional processing is required at this step. The transaction has been added to the settlement batch automatically.If
captureMethodisManual, the transaction must be explicitly added to the settlement batch. In this case usePOST /v2/transactions/{{transactionId}}/captureto capture it to the settlement batch.Care must be taken when using
Manualbecause if the transaction is never captured, the authorization simply expires and no funds move.Settlement. Settlement is the step where an authorized transaction becomes a real transfer of money.
The batch is submitted to the card networks or banks. This processing includes moving the money from the cardholder's bank, through the network, to the acquiring bank. It eventually ends at merchant's account, minus fees. Use POST /v2/settlements/settle to initiate the settlement batch.
This batch processing usually happens on a schedule, such as daily batch settlement at the end of business.